## Count the Number of Fields per Line

## Usage

    count.fields(file, sep = "", skip = 0)

## Arguments

`file` | a character string naming an ASCII data file
`sep` | the field separator character. Values on each line of the file are separated by this character. By default, arbitrary amounts of whitespace can seperate fields.
`skip` | the number of lines of the data file to skip before beginning to read data.

## Description

`count.fields` counts the number of fields, as seperated by `sep`, in each of the lines of `file` read. It is used by `read.table`; a user will typically have no need for it.

## Value

A vector with the numbers of fields found.

## See Also

`read.table`

## Examples

    cat("NAME", "1:John", "2:Paul", file = "foo", sep = "\n")
    count.fields("foo", sep = ":")

[Package Contents]